'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var linkTagCache = {};

var DynamicIcon = (_temp = _class = function (_Component) {
  _inherits(DynamicIcon, _Component);

  function DynamicIcon(props) {
    _classCallCheck(this, DynamicIcon);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props));

    _this.state = {};
    return _this;
  }

  DynamicIcon.prototype.shouldComponentUpdate = function shouldComponentUpdate() {
    return false;
  };

  DynamicIcon.prototype.render = function render() {
    var _cx;

    var _props = this.props,
        className = _props.className,
        size = _props.size,
        type = _props.type,
        others = _objectWithoutProperties(_props, ['className', 'size', 'type']);

    var classes = (0, _classnames2.default)((_cx = {}, _defineProperty(_cx, 'ice-icon-stable-' + size, !!size), _defineProperty(_cx, 'ice-icon-stable', true), _defineProperty(_cx, 'ice-icon-stable-' + type, !!type), _defineProperty(_cx, className, !!className), _cx));
    return _react2.default.createElement('i', _extends({}, others, { className: classes }));
  };

  return DynamicIcon;
}(_react.Component), _class.displayName = 'DynamicIcon', _class.propTypes = {
  /**
   * 指定显示哪种图标
   */
  type: _propTypes2.default.string,
  /**
   * 指定图标大小
   */
  size: _propTypes2.default.oneOf(['xxs', 'xs', 'small', 'medium', 'large', 'xl', 'xxl', 'xxxl'])
}, _class.defaultProps = {
  size: 'medium'
}, _temp);
exports.default = DynamicIcon;
module.exports = exports['default'];